> For the complete documentation index, see [llms.txt](https://appmaster.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://appmaster.gitbook.io/docs/endpoints/middleware/middleware-token-auth.md).

# Middleware: Token Auth

## Setup

1. Open the settings of a particular endpoint.
2. Switch to the Middleware tab.
3. Open the settings of Token Auth.
4. Here you can set up the desired access restrictions:
   * Disable Token Auth to allow anonymous access (no restrictions).
   * Enable Token Auth and don't add any groups to the list to allow access to all user groups (restricted to any registered user).
   * Enable Token Auth and add groups to the list to allow access to only these user groups (restricted to only specified user groups).

![](/files/-MgvXn2mIYPx0vF1-43J)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://appmaster.gitbook.io/docs/endpoints/middleware/middleware-token-auth.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
